<?php
/*---------------------------------------------------------------*/
/*
    Titre : Convertisseur de poids                                                                                        
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=990
    Date dition     : 15 Fv 2019                                                                                        
    Date mise  jour : 26 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

      function convert_weight($val , $type_val , $type_wanted){
     $tab = array("da"  => 1.67 * pow(10, -24), // dalton 
       "mug"  => 1/1000000, // microgramme 
       "mg"  => 1/1000, 
       "cg"  => 1/100, 
       "gr"  => 0.06479, // grain 
       "dg"  => 1/10, 
       "carat metrique"  => 0.2, 
       "g"  => 1, 
       "scruple"  => 1.296, 
       "dr"  => 1.7718, // dram 
       "drachm"  => 3.887, 
       "dag"  => 10, 
       "oz"  => 28.3495, // once 
       "hg"  => 100, 
       "pound"  => 453.592, // livre (uk) 
       "livre"  => 500, 
       "kg"  => 1000, 
       "st"  => 6350.3, // stone 
       "quarter"  => 12700.6, // quartaut 
       "slug"  => 14593, 
       "short hundredweight"  => 45359, // quintal court (cental) 
       "hundredweight"  => 50802.3, // quintal long 
       "q"  => 100000, // quintal 
       "short ton"  => 907184.7, // tonne courte 
       "t"  => 1000000, // tonne 
       "long ton"  => 1016046.9);  // tonne longue 
      return ($val * $tab[$type_val] / $tab[$type_wanted]); 
    }

?>